ChangeSet 1.1018.1.9, 2003/04/04 16:15:18-08:00, david-b@pacbell.net

[PATCH] USB: set_configuration() missed some state

I noticed that the usb_set_configuration() code was leaving
endpoints halted ... likely not a problem just now since that
routine can't be used safely except during enumeration, but
better to fix this than not.


 drivers/usb/core/message.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/core/message.c b/drivers/usb/core/message.c
--- a/drivers/usb/core/message.c	Mon Apr  7 15:14:00 2003
+++ b/drivers/usb/core/message.c	Mon Apr  7 15:14:00 2003
@@ -930,6 +930,8 @@
 	/* reset more hc/hcd endpoint state */
 	dev->toggle[0] = 0;
 	dev->toggle[1] = 0;
+	dev->halted[0] = 0;
+	dev->halted[1] = 0;
 	usb_set_maxpacket(dev);
 
 	return 0;
